%global dlrn_nvr osc-lib-2.3.1-1.20220727105040.2b7a679
%global dlrn 1
%define upstream_version 2.3.1
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x5d2d1e4fb8d38e6af76c50d53d4fec30cf5ce3da

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global library osc-lib
%global module osc_lib

%global common_desc osc-lib is a package of common support modules for writing OSC plugins.
%global with_doc 0

Name:       python-%{library}
Version: 2.3.1
Release: 1.20220727105040.2b7a679%{?dist}
Summary:    OpenStack library for writing OSC plugins
License:    ASL 2.0
URL:        https://github.com/openstack/%{library}/

Source0: osc-lib-2.3.1-1.20220727105040.2b7a679.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=2b7a679a4296c45fbc2fea152e3b51029a201143

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{library}/%{library}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:  noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

%package -n python3-%{library}
Summary:    OpenStack library for writing OSC plugins
%{?python_provide:%python_provide python3-%{library}}

BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-setuptools
BuildRequires:  git-core
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-keystoneauth1
BuildRequires:  python3-mock
BuildRequires:  python3-fixtures
BuildRequires:  python3-stestr
BuildRequires:  python3-testtools
BuildRequires:  python3-oslo-utils
BuildRequires:  python3-os-client-config
BuildRequires:  python3-openstacksdk
BuildRequires:  python3-requests
BuildRequires:  python3-stevedore
BuildRequires:  python3-cliff
BuildRequires:  python3-requests-mock
BuildRequires:  python3-simplejson

Requires:   python3-pbr >= 2.0.0
Requires:   python3-keystoneauth1 >= 3.14.0
Requires:   python3-openstacksdk >= 0.15.0
Requires:   python3-oslo-i18n >= 3.15.3
Requires:   python3-oslo-utils >= 3.33.0
Requires:   python3-stevedore >= 1.20.0
Requires:   python3-cliff >= 3.2.0
Requires:   python3-simplejson >= 3.5.1

%description -n python3-%{library}
%{common_desc}

%package -n python3-%{library}-tests
Summary:    OpenStack osc-lib library tests
%{?python_provide:%python_provide python3-%{library}-tests}

Requires:   python3-%{library} = %{version}-%{release}
Requires:   python3-fixtures
Requires:   python3-mock
Requires:   python3-stestr
Requires:   python3-testtools
Requires:   python3-requests-mock

%description -n python3-%{library}-tests
%{common_desc}

This package contains the osc-lib library test files.

%if 0%{?with_doc}
%package -n python-%{library}-doc
Summary:    OpenStack osc-lib library documentation

BuildRequires: python3-sphinx
BuildRequires: python3-openstackdocstheme
BuildRequires: python3-sphinxcontrib-apidoc

%description -n python-%{library}-doc
%{common_desc}

This package contains the documentation.
%endif

%description
%{common_desc}


%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{library}-%{upstream_version} -S git

# Let's handle dependencies ourseleves
rm -f *requirements.txt

%build
%{py3_build}

%if 0%{?with_doc}
# generate html docs
export PYTHONPATH=.
sphinx-build-3 -b html doc/source doc/build/html
# remove the sphinx-build-3 leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{py3_install}

%check
PYTHON=%{__python3} stestr run

%files -n python3-%{library}
%license LICENSE
%{python3_sitelib}/%{module}
%{python3_sitelib}/%{module}-*.egg-info
%exclude %{python3_sitelib}/%{module}/tests

%files -n python3-%{library}-tests
%license LICENSE
%{python3_sitelib}/%{module}/tests

%if 0%{?with_doc}
%files -n python-%{library}-doc
%license LICENSE
%doc doc/build/html README.rst
%endif

%changelog
* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 2.3.1-1.20220727105040.2b7a679
- Update patches

* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 2.3.1-0.20220712111341.2b7a679
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 2.3.1-0.20210527220617.2b7a679
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 2.3.1-1
- Update patches

* Thu Jan 21 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix lower-constraints job
- Replace 'assertFalse(a in b)' with 'assertNotIn(a, b)'
- Add Python3 wallaby unit tests
- bump py37 to py38 in tox.ini

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tox: Set 'ignore_basepython_conflict'
- formatters: Cast columns before outputting
- zuul: Stop testing against Tempest
- Fix hacking min version to 3.0.1
- bump py37 to py38 in tox.ini
- Remove install unnecessary packages
- Fix l-c testing for ubuntu focal
- Update master for stable/victoria
- requirements: Drop os-testr
- Update the constraints url

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Oct 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Sun Sep 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Sep 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix the misspelling of "argument"

* Mon Jun 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove commandmanager subclass
- Stop configuring install_command in tox and stop use pip.
- Add get_osc_show_columns_for_sdk_resource function
- Switch to newer openstackdocstheme and reno versions
- Revert "Add error message when occurrence Forbidden error"

* Mon Jun 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add a couple of release notes
- Remove .testr.conf
- Remove six library from dependencies
- Save the results from the early authentication
- Add pep8 import order check
- Use mock from unittest
- Remove Babel from requirements
- Add Python3 victoria unit tests
- Update master for stable/ussuri
- Cleanup py27 support
- Fix the requirement of keystoneauth1.
- Update to hacking 3.0
- Update hacking for Python3
- Replace assertItemsEqual with assertCountEqual
- Stop using lib-forward-testing

* Mon Jun 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jan 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add a release note for dropping py2
- Merge "Add enhance_help kwarg to tags option generators"
- Drop python 2.7 support and testing
- Add enhance_help kwarg to tags option generators
- Merge "Switch to Ussuri jobs"
- Merge "Add KeyValueAppendAction to osc-lib"
- Switch to Ussuri jobs
- Add KeyValueAppendAction to osc-lib

* Wed Dec 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/train

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Oct 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


